resource "hcloud_network" "network" {
  name     = "hetzner-network"
  ip_range = var.network_cidr
}

resource "hcloud_network_subnet" "subnet" {
  network_id   = hcloud_network.network.id
  type         = "server"
  network_zone = "eu-central"
  ip_range     = var.subnet_cidr
}

resource "hcloud_server_network" "srvnetwork" {
  count      = length(module.gw.server_ids)
  server_id  = element(module.gw.server_ids, count.index)
  network_id = hcloud_network.network.id
  ip         = cidrhost(var.subnet_cidr, count.index + 2)
}